Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_digest_metadata_t Struct Reference

`#include <digest.h>`

## Data Fields
int | api_version
size_t | digest_len
size_t | block_len
size_t | ctx_size
rb_digest_hash_init_func_t | init_func
rb_digest_hash_update_func_t | update_func
rb_digest_hash_finish_func_t | finish_func

## Detailed Description

Definition at line 24 of file digest.h.

## Field Documentation

int rb_digest_metadata_t::api_version

Definition at line 25 of file digest.h.

Referenced by get_digest_base_metadata().

size_t rb_digest_metadata_t::block_len

Definition at line 27 of file digest.h.

Referenced by rb_digest_base_block_length().

size_t rb_digest_metadata_t::ctx_size

Definition at line 28 of file digest.h.

Referenced by rb_digest_base_alloc(), and rb_digest_base_copy().

size_t rb_digest_metadata_t::digest_len

Definition at line 26 of file digest.h.

Referenced by rb_digest_base_digest_length(), and rb_digest_base_finish().

rb_digest_hash_finish_func_t rb_digest_metadata_t::finish_func

Definition at line 31 of file digest.h.

Referenced by rb_digest_base_finish().

rb_digest_hash_init_func_t rb_digest_metadata_t::init_func

Definition at line 29 of file digest.h.

Referenced by rb_digest_base_alloc(), rb_digest_base_finish(), and rb_digest_base_reset().

rb_digest_hash_update_func_t rb_digest_metadata_t::update_func

Definition at line 30 of file digest.h.

Referenced by rb_digest_base_update().

The documentation for this struct was generated from the following file:

- ext/digest/digest.h